QGIS Application - Bug report #10719
Disable the "toggle editing"” button for the datasources that cannot be edited
2014-06-25 06:52 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 19107
Description

QGIS is not yet able to edit Ml files. But when you have a .TAB file in you project, it is still possible to toggle it in edition. All the other
edition tools are greyed but it remains possible to modify the attribute table and follow the process of saving, even if no change will be
kept at the end.

On .MIF layers, the "add geometry" and "paste" tools are accessible in edition even though they are useless.

| think, to not put in confusion the user, all those tools should be greyed.

Related issues:
Related to QGIS Application - Feature request # 12329: Inform user that editi... Open 2015-03-06

History

#1 - 2014-06-25 12:46 PM - Giovanni Manghi
- Subject changed from Mapinfo Files: Editing tools might all be greyed to Disable the "toggle editing” button for the datasources that cannot be edited

#2 - 2014-06-25 01:23 PM - Jiirgen Fischer
- Resolution set to up/downstream

Seems to be a problem in the OGR driver. It reports that the OLCCreateField is always possible, although it apparently requires TABWrite mode. Unlike
the OLCSequentialWrite capability, which is reported unavailable when TABWrite isn't available. See also GDAL #5539

#3 - 2014-06-25 01:25 PM - Giovanni Manghi
- Status changed from Open to Closed

#4 - 2015-03-04 09:48 AM - Harrissou Santanna
- Target version changed from Version 2.4 to Future Release - Nice to have
- Status changed from Closed to Reopened

Hi,
Until GDAL/OGR solved the problem, it may be great to pop-up a message that explains to the user, while trying to save changes into Maplnfo files, that
edition is not yet possible on such a layer (except virtual fields?). He won't therefore waste his time to try and try and try again without understanding what's

going wrong....

#5 - 2015-03-05 04:24 PM - Giovanni Manghi

- Status changed from Reopened to Closed
http://trac.osgeo.org/gdal/ticket/5539

Harrissou Santanna wrote:
Hi,
Until GDAL/OGR solved the problem, it may be great to pop-up a message that explains to the user, while trying to save changes into Maplnfo files,

that edition is not yet possible on such a layer (except virtual fields?). He won't therefore waste his time to try and try and try again without
understanding what's going wrong....

better file a new ticket with a feature request.
